Page MenuHomeVyOS Platform

l2tpv3 interface migration fails
Closed, ResolvedPublicFEATURE REQUEST

Description

When migrating a l2tpv3 interface from VyOS 1.2.3 to current rolling the configuration is not properly migrated and results in a "Configuration error".

This is due to a priority inversion of the bridge rewrite and l2tpv3

Details

Difficulty level
Easy (less than an hour)
Version
-
Why the issue appeared?
Will be filled on close
Is it a breaking change?
Unspecified (possibly destroys the router)

Related Objects

StatusSubtypeAssignedTask
OpenFEATURE REQUESTNone
ResolvedFEATURE REQUESTc-po
ResolvedFEATURE REQUESTc-po

Event Timeline

c-po created this task.Nov 24 2019, 8:53 AM
c-po claimed this task.Mar 28 2020, 8:01 PM
c-po added a comment.Apr 2 2020, 4:53 PM

Both Routers running VyOS 1.2.3

R1

set interfaces l2tpv3 l2tpeth10 address '192.0.2.2/24'
set interfaces l2tpv3 l2tpeth10 destination-port '4000'
set interfaces l2tpv3 l2tpeth10 encapsulation 'udp'
set interfaces l2tpv3 l2tpeth10 local-ip '172.18.203.10'
set interfaces l2tpv3 l2tpeth10 peer-session-id '10'
set interfaces l2tpv3 l2tpeth10 peer-tunnel-id '200'
set interfaces l2tpv3 l2tpeth10 remote-ip '172.18.201.10'
set interfaces l2tpv3 l2tpeth10 session-id '20'
set interfaces l2tpv3 l2tpeth10 source-port '3000'
set interfaces l2tpv3 l2tpeth10 tunnel-id '100'

R2

set interfaces bridge br0 address '192.0.2.1/24'
set interfaces l2tpv3 l2tpeth10 bridge-group bridge 'br0'
set interfaces l2tpv3 l2tpeth10 bridge-group bridge 'br0'
set interfaces l2tpv3 l2tpeth10 destination-port '3000'
set interfaces l2tpv3 l2tpeth10 encapsulation 'udp'
set interfaces l2tpv3 l2tpeth10 local-ip '172.18.201.10'
set interfaces l2tpv3 l2tpeth10 peer-session-id '20'
set interfaces l2tpv3 l2tpeth10 peer-tunnel-id '100'
set interfaces l2tpv3 l2tpeth10 remote-ip '172.18.203.10'
set interfaces l2tpv3 l2tpeth10 session-id '10'
set interfaces l2tpv3 l2tpeth10 source-port '4000'
set interfaces l2tpv3 l2tpeth10 tunnel-id '200'

Migration fails with the following message:

cpo@LR1.wue3# commit
[ interfaces bridge br0 ]
Can not add non existing interface "l2tpeth10" to bridge "br0"

[[interfaces bridge br0]] failed
[ interfaces l2tpv3 l2tpeth10 ]
Traceback (most recent call last):
  File "/usr/libexec/vyos/conf_mode/interfaces-l2tpv3.py", line 23, in <module>
    from vyos.ifconfig import L2TPv3If, Interface
ImportError: cannot import name 'L2TPv3If' from 'vyos.ifconfig' (/usr/lib/python3/dist-packages/vyos/ifconfig/__init__.py)
c-po closed this task as Resolved.Apr 2 2020, 5:17 PM
c-po triaged this task as Normal priority.
c-po changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
c-po moved this task from Need Triage to Finished on the VyOS 1.3 Equuleus board.Apr 5 2020, 12:36 PM